classification
Title: Move imp.reload() to importlib
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: Arfrever, berker.peksag, brett.cannon, python-dev
Priority: normal Keywords: patch

Created on 2013-06-11 20:45 by brett.cannon, last changed 2013-06-14 19:06 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
issue18193.diff berker.peksag, 2013-06-13 09:38 review
issue18193_v2.diff berker.peksag, 2013-06-14 16:30 review
issue18193_v3.diff berker.peksag, 2013-06-14 17:36 review
Messages (7)
msg190982 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-06-11 20:45
For convenience it should live directly off of importlib and not importlib.util.
msg191070 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2013-06-13 09:38
Here's a patch. Changes:

- Used types.ModuleType instead of type(sys)
- Updated imp and importlib docs
- Moved test_imp.ReloadTests to test_importlib.test_api.ReloadTests
msg191140 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2013-06-14 16:30
Updated patch adressing Brett's comments.
msg191141 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-06-14 16:55
Answered Berker's questions from the review. At this point Berker just needs to tweak one line in the test and it should then be good to go.
msg191142 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-06-14 17:41
With Berker's nice use of TestCase.subTest() I think the patch is good to go! I should hopefully get this checked in today or tomorrow.
msg191144 - (view) Author: Roundup Robot (python-dev) Date: 2013-06-14 19:04
New changeset 01da7bf11ca1 by Brett Cannon in branch 'default':
Issue #18193: Add importlib.reload(), documenting (but not
http://hg.python.org/cpython/rev/01da7bf11ca1
msg191145 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-06-14 19:06
Thanks for the patch, Berker!
History
Date User Action Args
2013-06-14 19:06:02brett.cannonsetstatus: open -> closed
assignee: brett.cannon
messages: + msg191145

stage: commit review -> resolved
2013-06-14 19:04:36python-devsetstatus: pending -> open
nosy: + python-dev
messages: + msg191144

2013-06-14 17:41:55brett.cannonsetstatus: open -> pending
resolution: fixed
messages: + msg191142

stage: patch review -> commit review
2013-06-14 17:36:09berker.peksagsetfiles: + issue18193_v3.diff
2013-06-14 16:55:06brett.cannonsetmessages: + msg191141
2013-06-14 16:30:27berker.peksagsetfiles: + issue18193_v2.diff

messages: + msg191140
2013-06-13 09:38:35berker.peksagsetfiles: + issue18193.diff

nosy: + berker.peksag
messages: + msg191070

keywords: + patch
stage: test needed -> patch review
2013-06-11 22:06:24Arfreversetnosy: + Arfrever
2013-06-11 20:45:25brett.cannonlinkissue17177 dependencies
2013-06-11 20:45:11brett.cannoncreate